kind: Keycloak
apiVersion: keycloak.org/v1alpha1
metadata:
  name: redhat-sso
  labels:
    app: sso
spec:
  instances: 1
  externalAccess:
    enabled: true
  keycloakDeploymentSpec:
    resources:
      limits:
        cpu: 4
        memory: 3Gi
      requests:
        cpu: 1
        memory: 1500Mi
  postgresDeploymentSpec:
    resources:
      limits:
        cpu: 200m
        memory: 400Mi
      requests:
        cpu: 20m
        memory: 100Mi

---
# Realm
apiVersion: keycloak.org/v1alpha1
kind: KeycloakRealm
metadata:
  name: amq-sso-realm
  labels:
    realm: amq-sso-realm
spec:
  instanceSelector:
    matchLabels:
      app: sso
  realm:
    realm: amq-sso-realm
    enabled: true
    passwordPolicy: hashIterations(10)
